Get Beam Config Handler
curl --request GET \
--url https://api.allium.so/api/v1/beam/{config_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/beam/{config_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/beam/{config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner_org_team_user_id": "<string>",
"pipeline_config": {
"source": {
"type": "pubsub",
"is_zerolag": false
},
"transforms": [
{
"script": "<string>",
"uid": "<string>",
"type": "v8"
}
],
"sinks": [
{
"name": "<string>",
"uid": "<string>",
"type": "kafka"
}
]
},
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"static_egress_ip": false,
"pod_size": "S"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Configs
Get config
Returns a single pipeline config by ID.
GET
/
api
/
v1
/
beam
/
{config_id}
Get Beam Config Handler
Returns a single pipeline config by ID.
Path parameters:
Response:
Required permission:
read — owners, editors, readers, and members of teams shared via viewer_team.| Parameter | Description |
|---|---|
config_id | Pipeline configuration ID |
BeamConfig
curl -X GET https://api.allium.so/api/v1/beam/${CONFIG_ID} \
-H "X-API-Key: ${ALLIUM_API_KEY}"
Authorizations
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Available options:
S, M, L, XL Was this page helpful?
⌘I